Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 50365 - Transform exception dialog into status line notificator
Transform exception dialog into status line notificator
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Window System
4.x
PC All
: P3 (vote)
: 4.x
Assigned To: Stanislav Aubrecht
issues@platform
core-promoe
:
Depends on: 52832
Blocks: 50356
  Show dependency treegraph
 
Reported: 2004-10-13 16:35 UTC by David Simonek
Modified: 2008-12-22 17:43 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description David Simonek 2004-10-13 16:35:22 UTC
Idea is to not show exception dialog directly
anymore. Perhaps only in cases of InternalErrors
or other really fatal errors.
Instead, small "warning" icon should pop up in
global status line, possibly waving a bit to
attract attention. Click on warning icon will then
bring exception dialog in current form.

Pending:
- duration of warning icon, after how much time or
other constraint should icon vanish
- tooltip over warning icon
- for beta releases, current state is better
Comment 1 Jesse Glick 2004-12-07 15:57:06 UTC
Current state: with -J-Dnetbeans.logger.console=false, exception
messages simply printed in red in status line.
Comment 2 Stanislav Aubrecht 2004-12-21 16:03:23 UTC
done

cvs commit -m "50365 : showing a flashing icon on the main status bar
instead of the exception ..."
src\org\netbeans\core\resources\exception.gif
src\org\netbeans\core\FlashingIcon.java
windows\src\org\netbeans\core\windows\view\ui\MainWindow.java
src\org\netbeans\core\NotifyException.java (in directory
D:\projects\netbeans_stable_clean\core\)
RCS file: /cvs/core/src/org/netbeans/core/resources/exception.gif,v
done
Checking in src/org/netbeans/core/resources/exception.gif;
/cvs/core/src/org/netbeans/core/resources/exception.gif,v  <-- 
exception.gif
initial revision: 1.1
done
Processing log script arguments...
More commits to come...
RCS file: /cvs/core/src/org/netbeans/core/FlashingIcon.java,v
done
Checking in src/org/netbeans/core/FlashingIcon.java;
/cvs/core/src/org/netbeans/core/FlashingIcon.java,v  <-- 
FlashingIcon.java
initial revision: 1.1
done
Checking in src/org/netbeans/core/NotifyException.java;
/cvs/core/src/org/netbeans/core/NotifyException.java,v  <-- 
NotifyException.java
new revision: 1.62; previous revision: 1.61
done
Processing log script arguments...
More commits to come...
Checking in windows/src/org/netbeans/core/windows/view/ui/MainWindow.java;
/cvs/core/windows/src/org/netbeans/core/windows/view/ui/MainWindow.java,v
 <--  MainWindow.java
new revision: 1.39; previous revision: 1.38
done
Comment 3 Stanislav Aubrecht 2004-12-22 10:40:44 UTC
ui specification is available here:
http://core.netbeans.org/proposals/exception_notification.html


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo